/* struct.h */
#ifndef FFP_H
#include "ffp.h"
#endif

struct PlotRegion {
   FFP XMin, XMax, YMin, YMax;
};

struct TextBox {
   char String[80];
   short x,y,x1,y1,x2,y2;
   struct TextBox *NextText;
};

struct Plot {
   struct Plot *NextPlot;
   short NPts;
   short Color;
   short Lines;
   short PointSize;
   short PointType;
   short PlotType;
   short Enabled;
   short Continued;
   struct PlotRegion *Reg;
   struct TextBox *Legend;
   FFP *x, *y, *e;
   short *xp, *yp, *ep;
};

struct Selection {
   struct Plot *SelectedPlot;
   struct TextBox *SelectedBox;
   struct Selection *NextSelection;
};

struct Tics {
   short NX, NY;
   short *xp, *yp;
   FFP *x, *y;
};

struct Pict  {
   short NPlt;
   short Grid;
   short ErrBar;
   short ShowErr;
   short RMargin;
   short XRegionLock, YRegionLock;
   short Axes;
   struct Tics *Tics;
   struct PlotRegion *CurrReg, *NewReg;
   FFP XScale, YScale;
   struct TextBox *Title, *XLabel, *YLabel;
   struct Plot *Plot;
};
